Name:           stage
Version:        4.1.1
Release:        2%{?dist}
Summary:        A 2.5D multi-robot simulator

Group:          Applications/Engineering
License:        GPLv2+
URL:            http://playerstage.sourceforge.net
# Source acquired from github tag snapshot: 
# https://github.com/rtv/Stage/tarball/v4.1.1
Source0:        rtv-Stage-v4.1.1-0-g13e03ee.tar.gz
# Git snapshot can be generated with generate_tarball.sh using following command:
# ./generate_tarball.sh 0e7f6a
Source1:        generate_tarball.sh
# This patch installs the Player plugin to libdir/player instead of libdir
Patch0:         Stage-4.0.0.plugininstall.patch
# This patch fixes a typo for libdir selection in the CMake buildsystem
Patch1:         Stage-4.0.0.s390x-typos.patch
# This patch allows libstageplugin's graphics2d interface to be compatible
# with Player versions earlier than 3.1
Patch2:         Stage-4.0.1.multiline.patch
# This patch allows the build system to ignore the FLTK FLUID binary (since it is
# not required at build time)
Patch3:         Stage-4.1.1.fixfltk.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  cmake
BuildRequires:  doxygen 
BuildRequires:  fltk-devel 
BuildRequires:  graphviz 
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel 
BuildRequires:  libtool-ltdl-devel 
BuildRequires:  libXext-devel 
BuildRequires:  libX11-devel 
BuildRequires:  libGL-devel 
BuildRequires:  libGLU-devel 
BuildRequires:  player-devel >= 3.0.1

%description
Stage is a fast and scalable 2.5D multiple robot simulator from the Player 
project.  Stage can be used to simulate sensors and actuators in a 
low-fidelity bit-mapped environment.  Stage models can be controlled with
the Stage C API, or through the Player server via a Player plug-in library.

%package devel
Summary: Header files and libraries for Stage
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: fltk-devel 
Requires: libpng-devel 
Requires: libjpeg-devel 
Requires: libGL-devel 
Requires: libGLU-devel

%description devel
This package contains the header files and libraries
for Stage. If you want to develop programs using the libstage
API, you will need to install stage-devel.

%package playerplugin
Summary: Plug-in to add Stage support to Player
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: player >= 3.0.1

%description playerplugin
This package contains the Stage plug-in library for the Player server.
stage-playerplugin allows Stage models to be exposed as Player interfaces,
and manipulated through the Player server.

%prep
%setup -q -n rtv-Stage-c318423
%patch0 -p0
%patch1 -p1 -b .s390x-typos
%patch2 -p1
%patch3 -p0
sed -i 's/PLAYER_CAPABILITIES_REQ/PLAYER_CAPABILTIES_REQ/' libstageplugin/p_simulation.cc

%build
%cmake .

# Parallel build causes strange errors
make 

# Documentation builds separately
pushd docsrc
make
mv stage html
popd

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
chmod +x $RPM_BUILD_ROOT%{_datadir}/stage/worlds/*.sh

# These config files are broken, remove them
rm $RPM_BUILD_ROOT%{_datadir}/stage/worlds/uoa*
rm $RPM_BUILD_ROOT%{_datadir}/stage/worlds/large.world
rm -rf $RPM_BUILD_ROOT%{_datadir}/stage/worlds/wifi*

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING.txt DESCRIPTION.txt README.txt RELEASE.txt AUTHORS.txt
%{_bindir}/stage
%{_libdir}/*.so.*
%{_datadir}/stage
%{_libdir}/Stage-4.1

%files playerplugin
%defattr(-,root,root,-)
%{_libdir}/player/*.so

%files devel
%defattr(-,root,root,-)
%doc docsrc/html
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/Stage-4.1


%changelog
* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.1.1-2
- Rebuilt for c++ ABI breakage

* Mon Jan 16 2012 Rich Mattes <richmattes@gmail.com> - 4.1.1-1
- Update to release 4.1.1
- Cleanup old patches

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.1-2.0e7f6agit
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun May 29 2011 Rich Mattes <richmattes@gmail.com> - 4.0.1-1.0e7f6agit
- Latest git snapshot

* Sun May 29 2011 Rich Mattes <richmattes@gmail.com> - 4.0.0-4
- Rebuild for FLTK

* Wed May 04 2011 Dan Horák <dan[at]danny.cz> - 4.0.0-3
- Fix typos causing s390x build to fail

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Dec 04 2010 Rich Mattes <richmattes@gmail.com> - 4.0.0-1
- New release: Stage 4.0.0

* Sun Mar 14 2010 Rich Mattes <richmattes@gmail.com> - 3.2.2-7
- Merged -doc subpackage into -devel
- Added Requires pkgconfig entries

* Wed Mar 10 2010 Rich Mattes <richmattes@gmail.com> - 3.2.2-6
- Remove conflicting compiler flags

* Tue Mar 9 2010 Rich Mattes <richmattes@gmail.com> - 3.2.2-5
- Remove broken world files

* Sun Feb 28 2010 Rich Mattes <richmattes@gmail.com> - 3.2.2-4
- Fixed DSO link errors for F13
- Added necessary requires for -devel package
- Corrected Sourceforge download link

* Thu Feb 4 2010 Rich Mattes <richmattes@gmail.com> - 3.2.2-3
- More specfile cleanup

* Mon Jan 18 2010 Rich Mattes <richmattes@gmail.com> - 3.2.2-2
- Spec file cleanup
- License fixed

* Wed Sep 23 2009 Rich Mattes <richmattes@gmail.com> - 3.2.2-1
- First build
